unit uPictures;

interface

uses
 ExtCtrls ;

type
 TPictures = class(TObject)
 private
  fImageHEADUP     : Timage ;
  fImageHEADDOWN   : Timage ;
  fImageHEADLEFT   : Timage ;
  fImageHEADRIGHT  : Timage ;
  fImageBODYUP     : Timage ;
  fImageBODYDOWN   : Timage ;
  fImageBODYLEFT   : Timage ;
  fImageBODYRIGHT  : Timage ;
  fImageBACKUP     : Timage ;
  fImageBACKDOWN   : Timage ;
  fImageBACKLEFT   : Timage ;
  fImageBACKRIGHT  : Timage ;
  fImageGRENOUILLE : Timage ;
 protected
  Procedure setImageHEADUP(value: TImage)    ;
  Procedure setImageHEADDOWN(value: TImage)  ;
  Procedure setImageHEADLEFT(value: TImage)  ;
  Procedure setImageHEADRIGHT(value: TImage) ;
  Procedure setImageBODYUP(value: TImage)    ;
  Procedure setImageBODYDOWN(value: TImage)  ;
  Procedure setImageBODYLEFT(value: TImage)  ;
  Procedure setImageBODYRIGHT(value: TImage) ;
  Procedure setImageBACKUP(value: TImage)    ;
  Procedure setImageBACKDOWN(value: TImage)  ;
  Procedure setImageBACKLEFT(value: TImage)  ;
  Procedure setImageBACKRIGHT(value: TImage) ;
  Procedure setImageGRENOUILLE(value: TImage) ;
 public
  Constructor Create ;
  Destructor Destroy; override;
  property ImageHEADUP     : Timage read fImageHEADUP     write setImageHEADUP    ;
  property ImageHEADDOWN   : Timage read fImageHEADDOWN   write setImageHEADDOWN  ;
  property ImageHEADLEFT   : Timage read fImageHEADLEFT   write setImageHEADLEFT  ;
  property ImageHEADRIGHT  : Timage read fImageHEADRIGHT  write setImageHEADRIGHT ;
  property ImageBODYUP     : Timage read fImageBODYUP     write setImageBODYUP    ;
  property ImageBODYDOWN   : Timage read fImageBODYDOWN   write setImageBODYDOWN  ;
  property ImageBODYLEFT   : Timage read fImageBODYLEFT   write setImageBODYLEFT  ;
  property ImageBODYRIGHT  : Timage read fImageBODYRIGHT  write setImageBODYRIGHT ;
  property ImageBACKUP     : Timage read fImageBACKUP     write setImageBACKUP    ;
  property ImageBACKDOWN   : Timage read fImageBACKDOWN   write setImageBACKDOWN  ;
  property ImageBACKLEFT   : Timage read fImageBACKLEFT   write setImageBACKLEFT  ;
  property ImageBACKRIGHT  : Timage read fImageBACKRIGHT  write setImageBACKRIGHT ;
  property ImageGRENOUILLE : Timage read fImageGRENOUILLE write SetImageGRENOUILLE ;
end ;

var
  fPictures: TPictures;

implementation

{$R Images.res }

Constructor TPictures.Create ;
begin
  fImageHEADUP     := Timage.Create(nil) ;
  fImageHEADDOWN   := Timage.Create(nil) ;
  fImageHEADLEFT   := Timage.Create(nil) ;
  fImageHEADRIGHT  := Timage.Create(nil) ;
  fImageBODYUP     := Timage.Create(nil) ;
  fImageBODYDOWN   := Timage.Create(nil) ;
  fImageBODYLEFT   := Timage.Create(nil) ;
  fImageBODYRIGHT  := Timage.Create(nil) ;
  fImageBACKUP     := Timage.Create(nil) ;
  fImageBACKDOWN   := Timage.Create(nil) ;
  fImageBACKLEFT   := Timage.Create(nil) ;
  fImageBACKRIGHT  := Timage.Create(nil) ;
  fImageGRENOUILLE := Timage.Create(nil) ;
  setImageHEADUP(nil);
  setImageHEADDOWN(nil);
  setImageHEADLEFT (nil);
  setImageHEADRIGHT(nil);
  setImageBODYUP(nil);
  setImageBODYDOWN(nil);
  setImageBODYLEFT(nil);
  setImageBODYRIGHT(nil);
  setImageBACKUP(nil);
  setImageBACKDOWN(nil);
  setImageBACKLEFT(nil);
  setImageBACKRIGHT(nil);
  SetImageGRENOUILLE(nil);
end ;

Destructor TPictures.Destroy;
begin
 fImageHEADUP.Free ;
 fImageHEADDOWN.Free ;
 fImageHEADLEFT.Free ;
 fImageHEADRIGHT.Free ;
 fImageBODYUP.Free ;
 fImageBODYDOWN.Free ;
 fImageBODYLEFT.Free ;
 fImageBODYRIGHT.Free ;
 fImageBACKUP.Free ;
 fImageBACKDOWN.Free ;
 fImageBACKLEFT.Free ;
 fImageBACKRIGHT.Free ;
 fImageGRENOUILLE.Free ;
 inherited ;
end ;

Procedure TPictures.setImageHEADUP(value: TImage)    ;
begin
 fImageHEADUP.Picture.Bitmap.LoadFromResourceName(HInstance ,'HEADUP');
end ;

Procedure TPictures.setImageHEADDOWN(value: TImage)  ;
begin
 fImageHEADDOWN.Picture.Bitmap.LoadFromResourceName(HInstance ,'HEADDOWN');
end ;

Procedure TPictures.setImageHEADLEFT(value: TImage)  ;
begin
 fImageHEADLEFT.Picture.Bitmap.LoadFromResourceName(HInstance ,'HEADLEFT');
end ;

Procedure TPictures.setImageHEADRIGHT(value: TImage) ;
begin
 fImageHEADRIGHT.Picture.Bitmap.LoadFromResourceName(HInstance,'HEADRIGHT');
end ;

Procedure TPictures.setImageBODYUP(value: TImage)    ;
begin
 fImageBODYUP.Picture.Bitmap.LoadFromResourceName(HInstance   ,'BODYUP');
end ;

Procedure TPictures.setImageBODYDOWN(value: TImage)  ;
begin
 fImageBODYDOWN.Picture.Bitmap.LoadFromResourceName(HInstance ,'BODYDOWN');
end ;

Procedure TPictures.setImageBODYLEFT(value: TImage)  ;
begin
 fImageBODYLEFT.Picture.Bitmap.LoadFromResourceName(HInstance ,'BODYLEFT');
end ;

Procedure TPictures.setImageBODYRIGHT(value: TImage) ;
begin
 fImageBODYRIGHT.Picture.Bitmap.LoadFromResourceName(HInstance,'BODYRIGHT');
end ;

Procedure TPictures.setImageBACKUP(value: TImage)    ;
begin
 fImageBACKUP.Picture.Bitmap.LoadFromResourceName(HInstance   ,'BACKUP');
end ;

Procedure TPictures.setImageBACKDOWN(value: TImage)  ;
begin
 fImageBACKDOWN.Picture.Bitmap.LoadFromResourceName(HInstance ,'BACKDOWN');
end ;

Procedure TPictures.setImageBACKLEFT(value: TImage)  ;
begin
 fImageBACKLEFT.Picture.Bitmap.LoadFromResourceName(HInstance ,'BACKLEFT');
end ;

Procedure TPictures.setImageBACKRIGHT(value: TImage) ;
begin
 fImageBACKRIGHT.Picture.Bitmap.LoadFromResourceName(HInstance,'BACKRIGHT');
end ;

Procedure TPictures.setImageGRENOUILLE(value: TImage) ;
begin
 fImageGRENOUILLE.Picture.Bitmap.LoadFromResourceName(HInstance,'GRENOUILLE');
end ;

end.