unit ufrmSnake;

interface

uses
 Graphics, Dialogs, SysUtils, Classes, ExtCtrls, uPictures ;

type
 TSnake = class(TObject)
  private
  public
   IImage          : TImage ;
   x               : integer ;
   y               : integer ;
   Graph           : TGraphic ;
   iPart           : integer ; // 1: head, 2: body, 3: back ;
   Constructor Create(iType, iLevel, ArgX, ArgY: integer) ;
   Destructor Destroy; override;
end ;

implementation

uses
 ufrmplateau ;

Constructor TSnake.Create(iType, iLevel, ArgX, ArgY: integer) ;
begin
   IImage := TImage.Create(nil) ;

 case iType of
  1: begin // Head
      IImage.Picture.Bitmap.LoadFromResourceName(HInstance,'HEADRIGHT');
      iPart := 1 ;
      x     := ArgX ;
      y     := ArgY ;
     end ;
  2: begin // Body
      IImage.Picture.Bitmap.LoadFromResourceName(HInstance, 'BODYRIGHT');
      iPart := 2 ;
      x     := ArgX ;
      y     := ArgY ;
     end ;
  3: begin // Back
      IImage.Picture.Bitmap.LoadFromResourceName(HInstance, 'BACKRIGHT');
      iPart := 3 ;
      x     := ArgX ;
      y     := ArgY ;
     end ;
 end ;
 Graph  := IImage.Picture.Graphic ;
end ;

Destructor TSnake.Destroy;
begin
 IImage.free ;
 inherited ;
end ;

end.
